Upstream information

CVE-2014-9495 at MITRE

Description

Heap-based buffer overflow in the png_combine_row function in libpng before 1.5.21 and 1.6.x before 1.6.16, when running on 64-bit systems, might allow context-dependent attackers to execute arbitrary code via a "very wide interlaced" PNG image.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 912076 [RESOLVED / FIXED], 912929 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • libpng12-0 >= 1.2.57-2.18
  • libpng12-devel >= 1.2.57-2.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libpng12-0-1.2.57-2.18
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libpng12-0 >= 1.2.57-2.18
  • libpng12-devel >= 1.2.57-2.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libpng12-0-1.2.57-2.18
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • libpng12-0 >= 1.2.57-2.18
  • libpng12-devel >= 1.2.57-2.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA libpng12-0-1.2.57-2.18
SUSE Linux Enterprise Desktop 12 SP1
  • libpng16-16 >= 1.6.8-5.1
  • libpng16-16-32bit >= 1.6.8-5.1
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libpng16-16-1.6.8-5.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libpng16-compat-devel-1.6.8-5.1
SUSE Linux Enterprise Desktop 12 SP2
  • libpng16-16 >= 1.6.8-11.1
  • libpng16-16-32bit >= 1.6.8-11.1
  • libpng16-compat-devel >= 1.6.8-11.1
  • libpng16-devel >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libpng16-16-1.6.8-11.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libpng16-compat-devel-1.6.8-11.1
SUSE Linux Enterprise Desktop 12 SP3
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libpng16-16-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Desktop 12 SP4
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libpng16-16-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Desktop 12
  • libpng16-16 >= 1.6.8-5.1
  • libpng16-16-32bit >= 1.6.8-5.1
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-33
SUSE-SLE-SDK-12-2015-33
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libpng12-0 >= 1.2.57-2.18
  • libpng12-devel >= 1.2.57-2.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libpng12-0-1.2.57-2.18
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libpng12-0 >= 1.2.57-2.18
  • libpng12-devel >= 1.2.57-2.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA libpng12-0-1.2.57-2.18
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • libpng12-0 >= 1.2.57-2.18
  • libpng12-devel >= 1.2.57-2.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libpng12-0-1.2.57-2.18
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libpng16-16-1.6.8-14.1
SUSE Linux Enterprise Server 12 SP1
  • libpng16-16 >= 1.6.8-5.1
  • libpng16-16-32bit >= 1.6.8-5.1
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libpng16-16-1.6.8-5.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libpng16-compat-devel-1.6.8-5.1
SUSE Linux Enterprise Server 12 SP2
  • libpng16-16 >= 1.6.8-11.1
  • libpng16-16-32bit >= 1.6.8-11.1
  • libpng16-compat-devel >= 1.6.8-11.1
  • libpng16-devel >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libpng16-16-1.6.8-11.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libpng16-compat-devel-1.6.8-11.1
SUSE Linux Enterprise Server 12 SP3
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libpng16-16-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Server 12 SP4
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libpng16-16-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Server 12 SP5
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libpng16-16-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libpng16-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • libpng16-16 >= 1.6.8-5.1
  • libpng16-16-32bit >= 1.6.8-5.1
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE-SLE-SDK-12-2015-33
SUSE-SLE-SERVER-12-2015-33
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libpng16-16 >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libpng16-16-1.6.8-11.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libpng16-compat-devel-1.6.8-5.1
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libpng16-compat-devel >= 1.6.8-11.1
  • libpng16-devel >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libpng16-compat-devel-1.6.8-11.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libpng16-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libpng16-compat-devel-1.6.8-14.1
SUSE Linux Enterprise Software Development Kit 12
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE-SLE-SDK-12-2015-33
openSUSE Tumbleweed
  • libpng12-0 >= 1.2.56-1.5
  • libpng12-0-32bit >= 1.2.56-1.5
  • libpng12-compat-devel >= 1.2.56-1.5
  • libpng12-compat-devel-32bit >= 1.2.56-1.5
  • libpng12-devel >= 1.2.56-1.5
  • libpng12-devel-32bit >= 1.2.56-1.5
Patchnames:
openSUSE-Tumbleweed-2024-10184


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP5 libpng16 Released
SUSE Linux Enterprise Server 12 SP5 libpng12 Not affected
SUSE Linux Enterprise Server 12 SP5 libpng16 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libpng12 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libpng16 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libpng12 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libpng16 Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libpng12 Not affected
HPE Helion OpenStack 8 libpng16 Released
SUSE CaaS Platform 3.0 libpng16 Affected
SUSE Enterprise Storage 5 libpng16 Released
SUSE Linux Enterprise Desktop 12 libpng12 Not affected
SUSE Linux Enterprise Desktop 12 libpng16 Released
SUSE Linux Enterprise Desktop 12 SP1 libpng12 Not affected
SUSE Linux Enterprise Desktop 12 SP1 libpng16 Released
SUSE Linux Enterprise Desktop 12 SP2 libpng12 Not affected
SUSE Linux Enterprise Desktop 12 SP2 libpng16 Affected
SUSE Linux Enterprise Desktop 12 SP3 libpng12 Not affected
SUSE Linux Enterprise Desktop 12 SP3 libpng16 Affected
SUSE Linux Enterprise Desktop 12 SP4 libpng12 Not affected
SUSE Linux Enterprise Desktop 12 SP4 libpng16 Affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT libpng12 Not affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT libpng16 Affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 libpng16 Released
SUSE Linux Enterprise Server 10 SP4-LTSS libpng Not affected
SUSE Linux Enterprise Server 12 libpng12 Not affected
SUSE Linux Enterprise Server 12 libpng16 Released
SUSE Linux Enterprise Server 12 SP1 libpng12 Not affected
SUSE Linux Enterprise Server 12 SP1 libpng16 Affected
SUSE Linux Enterprise Server 12 SP1-LTSS libpng12 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS libpng16 Affected
SUSE Linux Enterprise Server 12 SP2 libpng12 Not affected
SUSE Linux Enterprise Server 12 SP2 libpng16 Affected
SUSE Linux Enterprise Server 12 SP2-BCL libpng12 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL libpng16 Released
SUSE Linux Enterprise Server 12 SP2-ESPOS libpng12 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS libpng16 Released
SUSE Linux Enterprise Server 12 SP2-LTSS libpng12 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS libpng16 Released
SUSE Linux Enterprise Server 12 SP3 libpng12 Not affected
SUSE Linux Enterprise Server 12 SP3 libpng16 Affected
SUSE Linux Enterprise Server 12 SP3-BCL libpng12 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL libpng16 Released
SUSE Linux Enterprise Server 12 SP3-ESPOS libpng12 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS libpng16 Released
SUSE Linux Enterprise Server 12 SP3-LTSS libpng12 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS libpng16 Released
SUSE Linux Enterprise Server 12 SP4 libpng12 Not affected
SUSE Linux Enterprise Server 12 SP4 libpng16 Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libpng12 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libpng16 Released
SUSE Linux Enterprise Server 12 SP4-LTSS libpng12 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS libpng16 Released
SUSE Linux Enterprise Server 12-LTSS libpng12 Not affected
SUSE Linux Enterprise Server 12-LTSS libpng16 Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libpng12 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libpng16 Affected
SUSE Linux Enterprise Server for SAP Applications 12 libpng12 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 libpng16 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libpng12 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libpng16 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libpng12 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libpng16 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libpng12 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libpng16 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libpng12 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libpng16 Released
SUSE Linux Enterprise Software Development Kit 12 libpng12 Not affected
SUSE Linux Enterprise Software Development Kit 12 libpng16 Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libpng12 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libpng16 Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libpng12 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libpng16 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libpng12 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libpng16 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libpng12 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libpng16 Affected
SUSE OpenStack Cloud 7 libpng12 Not affected
SUSE OpenStack Cloud 7 libpng16 Released
SUSE OpenStack Cloud 8 libpng12 Not affected
SUSE OpenStack Cloud 8 libpng16 Released
SUSE OpenStack Cloud 9 libpng12 Not affected
SUSE OpenStack Cloud 9 libpng16 Released
SUSE OpenStack Cloud Crowbar 8 libpng12 Not affected
SUSE OpenStack Cloud Crowbar 8 libpng16 Released
SUSE OpenStack Cloud Crowbar 9 libpng12 Not affected
SUSE OpenStack Cloud Crowbar 9 libpng16 Released


SUSE Timeline for this CVE

CVE page created: Tue Jan 6 13:58:07 2015
CVE page last modified: Fri Jul 19 16:42:00 2024